Erneuern Software empfiehlt die Verwendung der Zlib in Übereinstimmung mit den Regeln des geistigen Eigentums. Erneuern Software nicht mit crack, serial empfiehlt, Schlüssel, keygen, crack, serial für Zlib
Die beliebtesten Programmkategorien Entwicklung / Active X
Andere Firmen-Programm ComponentSpot
|
|||||||
| |||||||
Überblick Zlib (automatische Übersetzung)die neueste Version der zlib compression Library, einer freien Bibliothek für die Datenkomprimierung, die auf jede Art von Computer und OS freigegeben wurde von Autoren Jean-Loup Gailly und Mark Adler. Überprüfung der Integrität auf der unkomprimierten Daten erfolgt entweder mit dem CRC-32 Prüfsumme, die zuverlässiger ist, oder die ADLER 32 Prüfsumme, die etwas weniger zuverlässig, aber viel schneller. Entwickler können diese Bibliothek verwenden, fügen Sie allgemeine Datei- und in-memory Kompression und Dekompression Funktionen zu Ihren Anwendungen. Für in-memory Operations, die zlib komprimiert Daten Format (RFC 1950) verwendet wird, der ist schnell und kompakt. Algorithmus für die Komprimierung (die nur dass sie unterstützt), Luft (RFC 1951) verwendet wird, die zu einem LZ77-Kompression Variante und die Huffman-codierung. Overhead Expansion ist fünf Bytes pro 32 KB Block, plus sechs Bytes für die gesamte stream, das ist sehr klein im Vergleich zu dem, was die LZW Methode tun können. Den Autoren zufolge LZW können doppelte oder dreifache Dateigrößen in extremen Fällen. Die Autoren behaupten, dass typische Verdichtung von zlib sind zwischen 2:1 und 5:1. Die gzip format, RFC 1952, wird unterstützt. Aber es unterstützt nur Dateien zu komprimieren auf einem Dateisystem: Keine in-memory Operations. Die gzip format das Verzeichnis enthält Informationen der einzelnen Dateien. Wieder, und das Format verwendet den Komprimierungsalgorithmus. Es fehlt Unterstützung für folgende Formate/Methoden: PKZip 4.5 , bzip2 und Deflate64. |
Erneuern Software empfiehlt die Verwendung der Zlib in Übereinstimmung mit den Regeln des geistigen Eigentums. Erneuern Software nicht mit crack, serial empfiehlt, Schlüssel, keygen, crack, serial für Zlib
Die beliebtesten Programmkategorien Entwicklung / Active X
|
Andere Firmen-Programm ComponentSpot
|